post
https://api.streak.com/api/v2/teams//contacts/
Create a new contact. All contacts are scoped to a particular team so a teamKey is required. When creating a contact you can provide all of the contact info in a single call. See the possible parameters below.
Contacts must have at least one of name or emailaddresses set.
Note: Including the parameter getIfExisting limits the parameters you can include in the call.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Content Type and AuthMake sure to include
-H "Content-Type: application/json"and your authorization in any request you make on your own.
| Error | Example | Details |
|---|---|---|
| Missing parameters | | You might be missing the teamKey, emailAddresses, givenName, or familyName |
| Incorrect teamKey, API path has something mis-spelled or missing | OR | We can't find the teamKey you've provided. |
| Need more information on the contact | "Need to specify at least a name or email address" | We require one of the following to create a contact:
|
| Need appropriate header | | If you do not have the header-H "Content-Type: application/json" your call will return this error. |
| Duplicate email addresses | | You can not pass duplicate email addresses, ie ["[email protected]", "[email protected]"] |
Check if contact exists?If the
getIfExistingparameter is included, you can ONLY pass the parameter ofemailAddresses.
